mkdir -p './ssl/CA-Brehm/certs'
mkdir -p './ssl/CA-Brehm/crl'
mkdir -p './ssl/CA-Brehm/newcerts'
-mkdir -p './sudoers.d'
mkdir -p './texmf/dvipdfm/config'
mkdir -p './texmf/dvips.d'
mkdir -p './unixODBC/ODBCDataSources'
maybe chmod 0644 './conf.d/nagios'
maybe chmod 0644 './conf.d/named'
maybe chmod 0644 './conf.d/net'
+maybe chmod 0644 './conf.d/netmount'
maybe chmod 0644 './conf.d/network'
maybe chmod 0644 './conf.d/ntp-client'
maybe chmod 0644 './conf.d/ntpd'
maybe chmod 0644 './conf.d/samba'
maybe chmod 0644 './conf.d/saslauthd'
maybe chmod 0644 './conf.d/slapd'
+maybe chmod 0644 './conf.d/smartd'
maybe chmod 0644 './conf.d/snmpd'
maybe chmod 0644 './conf.d/snmptrapd'
maybe chmod 0644 './conf.d/spamd'
maybe chmod 0644 './conf.d/staticroute'
maybe chmod 0644 './conf.d/svnserve'
maybe chmod 0644 './conf.d/syslog-ng'
+maybe chmod 0644 './conf.d/tmpfiles'
maybe chmod 0644 './conf.d/twistd'
maybe chmod 0644 './conf.d/udev'
maybe chmod 0644 './conf.d/urandom'
maybe chmod 0644 './config-archive/etc/conf.d/fsck'
maybe chmod 0644 './config-archive/etc/conf.d/fsck.dist'
maybe chmod 0644 './config-archive/etc/conf.d/keymaps'
-maybe chmod 0644 './config-archive/etc/conf.d/keymaps.dist.new'
+maybe chmod 0644 './config-archive/etc/conf.d/keymaps.dist'
maybe chmod 0644 './config-archive/etc/conf.d/postgresql-9.1'
maybe chmod 0644 './config-archive/etc/conf.d/postgresql-9.1.dist'
maybe chmod 0644 './config-archive/etc/conf.d/slapd'
maybe chmod 0644 './config-archive/etc/profile'
maybe chmod 0644 './config-archive/etc/profile.dist'
maybe chmod 0644 './config-archive/etc/rc.conf'
-maybe chmod 0644 './config-archive/etc/rc.conf.dist.new'
+maybe chmod 0644 './config-archive/etc/rc.conf.dist'
maybe chmod 0644 './config-archive/etc/request-key.conf'
maybe chmod 0644 './config-archive/etc/request-key.conf.dist'
maybe chmod 0644 './config-archive/etc/screenrc'
maybe chmod 0644 './dhcpcd.conf'
maybe chmod 0644 './dispatch-conf.conf'
maybe chmod 0644 './dmtab'
+maybe chmod 0644 './drirc'
maybe chmod 0644 './e2fsck.conf'
maybe chmod 0755 './eclean'
maybe chmod 0644 './eclean/distfiles.exclude'
maybe chmod 0644 './env.d/00basic'
maybe chmod 0644 './env.d/00glibc'
maybe chmod 0644 './env.d/02locale'
+maybe chmod 0644 './env.d/03opengl'
maybe chmod 0644 './env.d/04gcc-x86_64-pc-linux-gnu'
maybe chmod 0644 './env.d/05binutils'
maybe chmod 0644 './env.d/05portage'
maybe chmod 0644 './eselect/postgresql/active'
maybe chmod 0644 './eselect/postgresql/active.links'
maybe chmod 0644 './eselect/postgresql/active.links91'
+maybe chmod 0644 './eselect/postgresql/active.links92'
maybe chmod 0755 './eselect/postgresql/slots'
maybe chmod 0755 './eselect/postgresql/slots/9.1'
maybe chmod 0644 './eselect/postgresql/slots/9.1/base'
maybe chmod 0644 './eselect/postgresql/slots/9.1/docs'
maybe chmod 0644 './eselect/postgresql/slots/9.1/server'
+maybe chmod 0755 './eselect/postgresql/slots/9.2'
+maybe chmod 0644 './eselect/postgresql/slots/9.2/base'
+maybe chmod 0644 './eselect/postgresql/slots/9.2/docs'
maybe chmod 0644 './etc-update.conf'
maybe chmod 0755 './etckeeper'
maybe chmod 0755 './etckeeper/commit.d'
maybe chmod 0644 './gssapi_mech.conf'
maybe chmod 0755 './gtk-2.0'
maybe chmod 0644 './gtk-2.0/gtkrc'
+maybe chmod 0755 './gtk-2.0/i686-pc-linux-gnu'
+maybe chmod 0644 './gtk-2.0/i686-pc-linux-gnu/gtk.immodules'
maybe chmod 0644 './gtk-2.0/im-multipress.conf'
maybe chmod 0755 './gtk-2.0/x86_64-pc-linux-gnu'
maybe chmod 0644 './gtk-2.0/x86_64-pc-linux-gnu/.keep_x11-libs_gtk+-2'
maybe chmod 0755 './init.d/ndo2db'
maybe chmod 0755 './init.d/net.lo'
maybe chmod 0755 './init.d/netmount'
-maybe chmod 0755 './init.d/network'
maybe chmod 0755 './init.d/nrpe'
maybe chmod 0755 './init.d/nscd'
maybe chmod 0755 './init.d/ntp-client'
maybe chmod 0755 './init.d/savecache'
maybe chmod 0755 './init.d/shutdown.sh'
maybe chmod 0755 './init.d/slapd'
+maybe chmod 0755 './init.d/smartd'
maybe chmod 0755 './init.d/snmpd'
maybe chmod 0755 './init.d/snmptrapd'
maybe chmod 0755 './init.d/spamd'
maybe chmod 0755 './init.d/sshd'
-maybe chmod 0755 './init.d/staticroute'
maybe chmod 0755 './init.d/stunnel'
maybe chmod 0755 './init.d/svnserve'
maybe chmod 0755 './init.d/swap'
+maybe chmod 0755 './init.d/swapfiles'
maybe chmod 0755 './init.d/swclock'
maybe chmod 0755 './init.d/sysctl'
maybe chmod 0755 './init.d/sysfs'
maybe chmod 0755 './init.d/syslog-ng'
maybe chmod 0755 './init.d/sysstat'
maybe chmod 0755 './init.d/termencoding'
+maybe chmod 0755 './init.d/tmpfiles.setup'
maybe chmod 0755 './init.d/twistd'
maybe chmod 0755 './init.d/udev'
maybe chmod 0755 './init.d/udev-mount'
maybe chmod 0644 './pam.d/userdel'
maybe chmod 0644 './pam.d/usermod'
maybe chmod 0755 './pango'
+maybe chmod 0755 './pango/i686-pc-linux-gnu'
+maybe chmod 0644 './pango/i686-pc-linux-gnu/pango.modules'
maybe chmod 0644 './pango/pangox.aliases'
maybe chmod 0755 './pango/x86_64-pc-linux-gnu'
maybe chmod 0644 './pango/x86_64-pc-linux-gnu/pango.modules'
maybe chmod 0755 './portage/bin'
maybe chmod 0755 './portage/bin/post_sync'
maybe chmod 0644 './portage/package.keywords'
+maybe chmod 0644 './portage/package.mask'
maybe chmod 0644 './portage/package.unmask'
maybe chmod 0644 './portage/package.use'
maybe chmod 0755 './portage/postsync.d'
maybe chown postgres './postgresql-9.1/postgresql.conf'
maybe chgrp postgres './postgresql-9.1/postgresql.conf'
maybe chmod 0600 './postgresql-9.1/postgresql.conf'
+maybe chmod 0755 './postgresql-9.2'
+maybe chmod 0644 './postgresql-9.2/.keep_dev-db_postgresql-base-9.2'
maybe chmod 0644 './procmailrc'
maybe chmod 0644 './profile'
maybe chmod 0755 './profile.d'
maybe chmod 0755 './request-key.d'
maybe chmod 0644 './resolv.conf'
maybe chmod 0755 './revdep-rebuild'
-maybe chmod 0644 './revdep-rebuild/55-nagios-plugins-snmp-revdep'
maybe chmod 0644 './revdep-rebuild/60-java'
maybe chmod 0644 './revdep-rebuild/61-icedtea-bin-6'
maybe chmod 0644 './revdep-rebuild/99revdep-rebuild'
maybe chmod 0644 './skel/.bashrc'
maybe chmod 0700 './skel/.ssh'
maybe chmod 0644 './slsh.rc'
+maybe chmod 0644 './smartd.conf'
maybe chmod 0755 './snmp'
maybe chmod 0644 './snmp/snmpd.conf.example'
maybe chmod 0755 './ssh'
maybe chmod 0644 './stunnel/stunnel.pem'
maybe chmod 0440 './sudoers'
maybe chmod 0750 './sudoers.d'
+maybe chmod 0644 './sudoers.d/50nagios-plugins'
maybe chmod 0644 './sysctl.conf'
+maybe chmod 0755 './sysctl.d'
+maybe chmod 0644 './sysctl.d/README'
maybe chmod 0755 './syslog-ng'
maybe chmod 0644 './syslog-ng/modules.conf'
maybe chmod 0755 './syslog-ng/patterndb.d'
+# The consolefont service is not activated by default. If you need to
+# use it, you should run "rc-update add consolefont boot" as root.
+#
# consolefont specifies the default font that you'd like Linux to use on the
# console. You can find a good selection of fonts in /usr/share/consolefonts;
# you shouldn't specify the trailing ".psf.gz", just the font name below.
# To use the default console font, comment out the CONSOLEFONT setting below.
-# This setting is used by the /etc/init.d/consolefont script (NOTE: if you do
-# not want to use it, run "rc-update del consolefont boot" as root).
consolefont="default8x16"
# consoletranslation is the charset map file to use. Leave commented to use
# Sets the level at which logging of messages is done to the
-# console. See dmesg(8) for more info.
+# console. See dmesg(1) for more info.
dmesg_level="1"
# Set CLOCK to "UTC" if your Hardware Clock is set to UTC (also known as
-# Greenwich Mean Time). If that clock is set to the local time, then
-# set CLOCK to "local". Note that if you dual boot with Windows, then
+# Greenwich Mean Time). If that clock is set to the local time, then
+# set CLOCK to "local". Note that if you dual boot with Windows, then
# you should set it to "local".
clock="UTC"
-# If you want to set the Hardware Clock to the current System Time
-# (software clock) during shutdown, then say "YES" here.
-# You normally don't need to do this if you run a ntp daemon.
-clock_systohc="NO"
+# If you want the hwclock script to set the system time (software clock)
+# to match the current hardware clock during bootup, leave this
+# commented out.
+# However, you can set this to "NO" ifyou are running a modern kernel
+# with CONFIG_RTC_HCTOSYS set to y and your hardware clock set to UTC.
+#clock_hctosys="YES"
+
+# If you do not want to set the hardware clock to the current system
+# time (software clock) during shutdown, set this to no.
+#clock_systohc="YES"
-# If you want to set the system time to the current hardware clock
-# during bootup, then say "YES" here. You do not need this if you are
-# running a modern kernel with CONFIG_RTC_HCTOSYS set to y.
-# Also, be aware that if you set this to "NO", the system time will
-# never be saved to the hardware clock unless you set
-# clock_systohc="YES" above.
-clock_hctosys="YES"
-
# If you wish to pass any other arguments to hwclock during bootup,
# you may do so here. Alpha users may wish to use --arc or --srm here.
clock_args=""
# Save state on stopping iptables
SAVE_ON_STOP="yes"
+
+# If you need to log iptables messages as soon as iptables starts,
+# AND your logger does NOT depend on the network, then you may wish
+# to uncomment the next line.
+# If your logger depends on the network, and you uncomment this line
+# you will create an unresolvable circular dependency during startup.
+# After commenting or uncommenting this line, you must run 'rc-update -u'.
+#rc_use="logger"
# Save state on stopping iptables
SAVE_ON_STOP="yes"
+
+# If you need to log iptables messages as soon as iptables starts,
+# AND your logger does NOT depend on the network, then you may wish
+# to uncomment the next line.
+# If your logger depends on the network, and you uncomment this line
+# you will create an unresolvable circular dependency during startup.
+# After commenting or uncommenting this line, you must run 'rc-update -u'.
+#rc_use="logger"
extended_keymaps=""
#extended_keymaps="backspace keypad euro2"
-# Tell dumpkeys(1) to interpret character action codes to be
+# Tell dumpkeys(1) to interpret character action codes to be
# from the specified character set.
# This only matters if you set unicode="yes" in /etc/rc.conf.
# For a list of valid sets, run `dumpkeys --help`
--- /dev/null
+# Depending on how mounting your network file systems behaves when your
+# network interfaces are down, you may need to set the netmount script to
+# require specific network interfaces to be active. This file gives
+# examples of how to do this:
+#
+# If you are using newnet and configuring the interface with a static
+# address with the network script:
+# rc_need="network"
+#
+# If you are using oldnet, you must list the specific net.* services you
+# need:
+#
+# rc_need="net.eth0"
+# rc_need="net.eth1 net.eth2"
+#
+# If you are using a dynamic network management tool like
+# networkmanager, dhcpcd, etc, you should list that tool here.
+#
+# rc_need="networkmanager"
+# rc_need="dhcpcd"
--- /dev/null
+# /etc/conf.d/smartd: config file for /etc/init.d/smartd
+
+# Insert any other options needed
+SMARTD_OPTS=""
--- /dev/null
+# Extra options for tmpfiles.sh
+#tmpfiles_opts="--verbose"
+tmpfiles_opts=""
--- /dev/null
+# Use keymap to specify the default console keymap. There is a complete tree
+# of keymaps in /usr/share/keymaps to choose from.
+keymap="us"
+
+# Should we first load the 'windowkeys' console keymap? Most x86 users will
+# say "yes" here. Note that non-x86 users should leave it as "no".
+# Loading this keymap will enable VT switching (like ALT+Left/Right)
+# using the special windows keys on the linux console.
+windowkeys="YES"
+
+# The maps to load for extended keyboards. Most users will leave this as is.
+extended_keymaps=""
+#extended_keymaps="backspace keypad euro2"
+
+# Tell dumpkeys(1) to interpret character action codes to be
+# from the specified character set.
+# This only matters if you set unicode="yes" in /etc/rc.conf.
+# For a list of valid sets, run `dumpkeys --help`
+dumpkeys_charset=""
+
+# Some fonts map AltGr-E to the currency symbol ¤ instead of the Euro €
+# To fix this, set to "yes"
+fix_euro="NO"
+++ /dev/null
-# Use keymap to specify the default console keymap. There is a complete tree
-# of keymaps in /usr/share/keymaps to choose from.
-keymap="us"
-
-# Should we first load the 'windowkeys' console keymap? Most x86 users will
-# say "yes" here. Note that non-x86 users should leave it as "no".
-# Loading this keymap will enable VT switching (like ALT+Left/Right)
-# using the special windows keys on the linux console.
-windowkeys="YES"
-
-# The maps to load for extended keyboards. Most users will leave this as is.
-extended_keymaps=""
-#extended_keymaps="backspace keypad euro2"
-
-# Tell dumpkeys(1) to interpret character action codes to be
-# from the specified character set.
-# This only matters if you set unicode="yes" in /etc/rc.conf.
-# For a list of valid sets, run `dumpkeys --help`
-dumpkeys_charset=""
-
-# Some fonts map AltGr-E to the currency symbol ¤ instead of the Euro €
-# To fix this, set to "yes"
-fix_euro="NO"
--- /dev/null
+# Global OpenRC configuration settings
+
+# Set to "YES" if you want the rc system to try and start services
+# in parallel for a slight speed improvement. When running in parallel we
+# prefix the service output with its name as the output will get
+# jumbled up.
+# WARNING: whilst we have improved parallel, it can still potentially lock
+# the boot process. Don't file bugs about this unless you can supply
+# patches that fix it without breaking other things!
+#rc_parallel="NO"
+
+# Set rc_interactive to "YES" and you'll be able to press the I key during
+# boot so you can choose to start specific services. Set to "NO" to disable
+# this feature. This feature is automatically disabled if rc_parallel is
+# set to YES.
+#rc_interactive="YES"
+
+# If we need to drop to a shell, you can specify it here.
+# If not specified we use $SHELL, otherwise the one specified in /etc/passwd,
+# otherwise /bin/sh
+# Linux users could specify /sbin/sulogin
+rc_shell=/sbin/sulogin
+
+# Do we allow any started service in the runlevel to satisfy the dependency
+# or do we want all of them regardless of state? For example, if net.eth0
+# and net.eth1 are in the default runlevel then with rc_depend_strict="NO"
+# both will be started, but services that depend on 'net' will work if either
+# one comes up. With rc_depend_strict="YES" we would require them both to
+# come up.
+#rc_depend_strict="YES"
+
+# rc_hotplug is a list of services that we allow to be hotplugged.
+# By default we do not allow hotplugging.
+# A hotplugged service is one started by a dynamic dev manager when a matching
+# hardware device is found.
+# This service is intrinsically included in the boot runlevel.
+# To disable services, prefix with a !
+# Example - rc_hotplug="net.wlan !net.*"
+# This allows net.wlan and any service not matching net.* to be plugged.
+# Example - rc_hotplug="*"
+# This allows all services to be hotplugged
+#rc_hotplug="*"
+
+# rc_logger launches a logging daemon to log the entire rc process to
+# /var/log/rc.log
+# NOTE: Linux systems require the devfs service to be started before
+# logging can take place and as such cannot log the sysinit runlevel.
+#rc_logger="YES"
+
+# Through rc_log_path you can specify a custom log file.
+# The default value is: /var/log/rc.log
+#rc_log_path="/var/log/rc.log"
+
+# By default we filter the environment for our running scripts. To allow other
+# variables through, add them here. Use a * to allow all variables through.
+#rc_env_allow="VAR1 VAR2"
+
+# By default we assume that all daemons will start correctly.
+# However, some do not - a classic example is that they fork and return 0 AND
+# then child barfs on a configuration error. Or the daemon has a bug and the
+# child crashes. You can set the number of milliseconds start-stop-daemon
+# waits to check that the daemon is still running after starting here.
+# The default is 0 - no checking.
+#rc_start_wait=100
+
+# rc_nostop is a list of services which will not stop when changing runlevels.
+# This still allows the service itself to be stopped when called directly.
+#rc_nostop=""
+
+# rc will attempt to start crashed services by default.
+# However, it will not stop them by default as that could bring down other
+# critical services.
+#rc_crashed_stop=NO
+#rc_crashed_start=YES
+
+##############################################################################
+# MISC CONFIGURATION VARIABLES
+# There variables are shared between many init scripts
+
+# Set unicode to YES to turn on unicode support for keyboards and screens.
+unicode="YES"
+
+# Below is the default list of network fstypes.
+#
+# afs cifs coda davfs fuse fuse.sshfs gfs glusterfs lustre ncpfs
+# nfs nfs4 ocfs2 shfs smbfs
+#
+# If you would like to add to this list, you can do so by adding your
+# own fstypes to the following variable.
+#extra_net_fs_list=""
+
+##############################################################################
+# SERVICE CONFIGURATION VARIABLES
+# These variables are documented here, but should be configured in
+# /etc/conf.d/foo for service foo and NOT enabled here unless you
+# really want them to work on a global basis.
+# If your service has characters in its name which are not legal in
+# shell variable names and you configure the variables for it in this
+# file, those characters should be replaced with underscores in the
+# variable names as shown below.
+
+# Some daemons are started and stopped via start-stop-daemon.
+# We can set some things on a per service basis, like the nicelevel.
+#export SSD_NICELEVEL="-19"
+
+# Pass ulimit parameters
+#rc_ulimit="-u 30"
+
+# It's possible to define extra dependencies for services like so
+#rc_config="/etc/foo"
+#rc_need="openvpn"
+#rc_use="net.eth0"
+#rc_after="clock"
+#rc_before="local"
+#rc_provide="!net"
+
+# You can also enable the above commands here for each service. Below is an
+# example for service foo.
+#rc_foo_config="/etc/foo"
+#rc_foo_need="openvpn"
+#rc_foo_after="clock"
+
+# Below is an example for service foo-bar. Note that the '-' is illegal
+# in a shell variable name, so we convert it to an underscore.
+# example for service foo-bar.
+#rc_foo_bar_config="/etc/foo-bar"
+#rc_foo_bar_need="openvpn"
+#rc_foo_bar_after="clock"
+
+# You can also remove dependencies.
+# This is mainly used for saying which servies do NOT provide net.
+#rc_net_tap0_provide="!net"
+
+##############################################################################
+# LINUX SPECIFIC OPTIONS
+
+# This is the subsystem type. Valid options on Linux:
+# "" - nothing special
+# "lxc" - Linux Containers
+# "openvz" - Linux OpenVZ
+# "prefix" - Prefix
+# "uml" - Usermode Linux
+# "vserver" - Linux vserver
+# "xen0" - Xen0 Domain
+# "xenU" - XenU Domain
+# If this is commented out, automatic detection will be used.
+#
+# This should be set to the value representing the environment this file is
+# PRESENTLY in, not the virtualization the environment is capable of.
+#rc_sys=""
+
+# This is the number of tty's used in most of the rc-scripts (like
+# consolefont, numlock, etc ...)
+rc_tty_number=12
+
+# If you have cgroups turned on in your kernel, this switch controls
+# whether or not a group for each controler is mounted under
+# /sys/fs/cgroup.
+# Support for process management by cgroups is planned in the future,
+# so if you turn this off, be aware that you may not be able to use that
+# feature.
+#rc_controller_cgroups="YES"
+++ /dev/null
-# Global OpenRC configuration settings
-
-# Set rc_interactive to "YES" and you'll be able to press the I key during
-# boot so you can choose to start specific services. Set to "NO" to disable
-# this feature.
-#rc_interactive="YES"
-
-# If we need to drop to a shell, you can specify it here.
-# If not specified we use $SHELL, otherwise the one specified in /etc/passwd,
-# otherwise /bin/sh
-# Linux users could specify /sbin/sulogin
-rc_shell=/sbin/sulogin
-
-# Do we allow any started service in the runlevel to satisfy the dependency
-# or do we want all of them regardless of state? For example, if net.eth0
-# and net.eth1 are in the default runlevel then with rc_depend_strict="NO"
-# both will be started, but services that depend on 'net' will work if either
-# one comes up. With rc_depend_strict="YES" we would require them both to
-# come up.
-#rc_depend_strict="YES"
-
-# rc_hotplug is a list of services that we allow to be hotplugged.
-# By default we do not allow hotplugging.
-# A hotplugged service is one started by a dynamic dev manager when a matching
-# hardware device is found.
-# This service is intrinsically included in the boot runlevel.
-# To disable services, prefix with a !
-# Example - rc_hotplug="net.wlan !net.*"
-# This allows net.wlan and any service not matching net.* to be plugged.
-# Example - rc_hotplug="*"
-# This allows all services to be hotplugged
-#rc_hotplug="*"
-
-# rc_logger launches a logging daemon to log the entire rc process to
-# /var/log/rc.log
-# NOTE: Linux systems require the devfs service to be started before
-# logging can take place and as such cannot log the sysinit runlevel.
-#rc_logger="YES"
-
-# Through rc_log_path you can specify a custom log file.
-# The default value is: /var/log/rc.log
-#rc_log_path="/var/log/rc.log"
-
-# By default we filter the environment for our running scripts. To allow other
-# variables through, add them here. Use a * to allow all variables through.
-#rc_env_allow="VAR1 VAR2"
-
-# By default we assume that all daemons will start correctly.
-# However, some do not - a classic example is that they fork and return 0 AND
-# then child barfs on a configuration error. Or the daemon has a bug and the
-# child crashes. You can set the number of milliseconds start-stop-daemon
-# waits to check that the daemon is still running after starting here.
-# The default is 0 - no checking.
-#rc_start_wait=100
-
-# rc_nostop is a list of services which will not stop when changing runlevels.
-# This still allows the service itself to be stopped when called directly.
-#rc_nostop=""
-
-# rc will attempt to start crashed services by default.
-# However, it will not stop them by default as that could bring down other
-# critical services.
-#rc_crashed_stop=NO
-#rc_crashed_start=YES
-
-##############################################################################
-# MISC CONFIGURATION VARIABLES
-# There variables are shared between many init scripts
-
-# Set unicode to YES to turn on unicode support for keyboards and screens.
-unicode="YES"
-
-# Below is the default list of network fstypes.
-#
-# afs cifs coda davfs fuse fuse.sshfs gfs glusterfs lustre ncpfs
-# nfs nfs4 ocfs2 shfs smbfs
-#
-# If you would like to add to this list, you can do so by adding your
-# own fstypes to the following variable.
-#extra_net_fs_list=""
-
-##############################################################################
-# SERVICE CONFIGURATION VARIABLES
-# These variables are documented here, but should be configured in
-# /etc/conf.d/foo for service foo and NOT enabled here unless you
-# really want them to work on a global basis.
-
-# Some daemons are started and stopped via start-stop-daemon.
-# We can set some things on a per service basis, like the nicelevel.
-#export SSD_NICELEVEL="-19"
-
-# Pass ulimit parameters
-#rc_ulimit="-u 30"
-
-# It's possible to define extra dependencies for services like so
-#rc_config="/etc/foo"
-#rc_need="openvpn"
-#rc_use="net.eth0"
-#rc_after="clock"
-#rc_before="local"
-#rc_provide="!net"
-
-# You can also enable the above commands here for each service. Below is an
-# example for service foo.
-#rc_foo_config="/etc/foo"
-#rc_foo_need="openvpn"
-#rc_foo_after="clock"
-
-# You can also remove dependencies.
-# This is mainly used for saying which servies do NOT provide net.
-#rc_net_tap0_provide="!net"
-
-##############################################################################
-# LINUX SPECIFIC OPTIONS
-
-# This is the subsystem type. Valid options on Linux:
-# "" - nothing special
-# "lxc" - Linux Containers
-# "openvz" - Linux OpenVZ
-# "prefix" - Prefix
-# "uml" - Usermode Linux
-# "vserver" - Linux vserver
-# "xen0" - Xen0 Domain
-# "xenU" - XenU Domain
-# If this is commented out, automatic detection will be attempted.
-# Note that autodetection will not work in a prefix environment or in a
-# linux container.
-#
-# This should be set to the value representing the environment this file is
-# PRESENTLY in, not the virtualization the environment is capable of.
-#rc_sys=""
-
-# This is the number of tty's used in most of the rc-scripts (like
-# consolefont, numlock, etc ...)
-rc_tty_number=12
-##VERSION: $Id: authdaemonrc.in,v 1.13 2005/10/05 00:07:32 mrsam Exp $
+##VERSION: $Id: authdaemonrc.in 17 2011-04-04 02:07:37Z mrsam $
#
# Copyright 2000-2005 Double Precision, Inc. See COPYING for
# distribution information.
-##VERSION: $Id: authdaemonrc.in,v 1.13 2005/10/05 00:07:32 mrsam Exp $
+##VERSION: $Id: authdaemonrc.in 17 2011-04-04 02:07:37Z mrsam $
#
# Copyright 2000-2005 Double Precision, Inc. See COPYING for
# distribution information.
-##VERSION: $Id: authldaprc,v 1.25 2005/10/05 00:07:32 mrsam Exp $
+##VERSION: $Id: authldaprc 17 2011-04-04 02:07:37Z mrsam $
#
# Copyright 2000-2004 Double Precision, Inc. See COPYING for
# distribution information.
-##VERSION: $Id: authldaprc,v 1.25 2005/10/05 00:07:32 mrsam Exp $
+##VERSION: $Id: authldaprc 17 2011-04-04 02:07:37Z mrsam $
#
# Copyright 2000-2004 Double Precision, Inc. See COPYING for
# distribution information.
-##VERSION: $Id: authmysqlrc,v 1.20 2007/10/07 02:50:45 mrsam Exp $
+##VERSION: $Id: authmysqlrc 17 2011-04-04 02:07:37Z mrsam $
#
# Copyright 2000-2007 Double Precision, Inc. See COPYING for
# distribution information.
-##VERSION: $Id: authmysqlrc,v 1.20 2007/10/07 02:50:45 mrsam Exp $
+##VERSION: $Id: authmysqlrc 17 2011-04-04 02:07:37Z mrsam $
#
# Copyright 2000-2007 Double Precision, Inc. See COPYING for
# distribution information.
-##VERSION: $Id: authpgsqlrc,v 1.13 2008/12/18 12:08:25 mrsam Exp $
+##VERSION: $Id: authpgsqlrc 17 2011-04-04 02:07:37Z mrsam $
#
# Copyright 2000-2004 Double Precision, Inc. See COPYING for
# distribution information.
-##VERSION: $Id: authpgsqlrc,v 1.13 2008/12/18 12:08:25 mrsam Exp $
+##VERSION: $Id: authpgsqlrc 17 2011-04-04 02:07:37Z mrsam $
#
# Copyright 2000-2004 Double Precision, Inc. See COPYING for
# distribution information.
# check scripts in cron.hourly, cron.daily, cron.weekly and cron.monthly
59 * * * * root rm -f /var/spool/cron/lastrun/cron.hourly
-9 3 * * * root rm -f /var/spool/cron/lastrun/cron.daily
-19 4 * * 6 root rm -f /var/spool/cron/lastrun/cron.weekly
-29 5 1 * * root rm -f /var/spool/cron/lastrun/cron.monthly
+9 4 * * * root rm -f /var/spool/cron/lastrun/cron.daily
+19 5 * * 6 root rm -f /var/spool/cron/lastrun/cron.weekly
+29 6 1 * * root rm -f /var/spool/cron/lastrun/cron.monthly
*/10 * * * * root test -x /usr/sbin/run-crons && /usr/sbin/run-crons
setenv LC_TIME 'de_DE.utf8'
setenv LESS '-R -M --shift 5'
setenv LESSOPEN '|lesspipe %s'
-setenv MANPATH '/usr/local/share/man:/usr/share/man:/usr/share/gcc-data/x86_64-pc-linux-gnu/4.5.4/man:/usr/share/binutils-data/x86_64-pc-linux-gnu/2.22/man:/etc/java-config/system-vm/man/:/usr/lib64/php5.3/man/:/usr/lib64/php5.4/man/:/usr/share/postgresql/man/:/usr/share/postgresql-9.1/man/'
+setenv MANPATH '/usr/local/share/man:/usr/share/man:/usr/share/gcc-data/x86_64-pc-linux-gnu/4.5.4/man:/usr/share/binutils-data/x86_64-pc-linux-gnu/2.22/man:/etc/java-config/system-vm/man/:/usr/lib64/php5.3/man/:/usr/lib64/php5.4/man/:/usr/share/postgresql/man/:/usr/share/postgresql-9.2/man/:/usr/share/postgresql-9.1/man/'
+setenv MULTIOSDIRS '../lib64:../lib32'
+setenv OPENGL_PROFILE 'xorg-x11'
setenv PATH '/opt/bin:/usr/x86_64-pc-linux-gnu/gcc-bin/4.5.4:/usr/lib64/subversion/bin'
setenv PYTHONDOCS_2_7 '/usr/share/doc/python-docs-2.7.2/html/library'
setenv PYTHONDOCS_3_2 '/usr/share/doc/python-docs-3.2.2/html/library'
--- /dev/null
+<driconf>
+ <device screen="0" driver="i965">
+ <application name="Unigine Sanctuary" executable="Sanctuary">
+ <option name="force_glsl_extensions_warn" value="true" />
+ <option name="disable_blend_func_extended" value="true" />
+ </application>
+ <application name="Unigine Tropics" executable="Tropics">
+ <option name="force_glsl_extensions_warn" value="true" />
+ <option name="disable_blend_func_extended" value="true" />
+ </application>
+ <application name="Unigine Heaven (32-bit)" executable="heaven_x86">
+ <option name="force_glsl_extensions_warn" value="true" />
+ <option name="disable_blend_func_extended" value="true" />
+ </application>
+ <application name="Unigine Heaven (64-bit)" executable="heaven_x64">
+ <option name="force_glsl_extensions_warn" value="true" />
+ <option name="disable_blend_func_extended" value="true" />
+ </application>
+ <application name="Unigine OilRush (32-bit)" executable="OilRush_x86">
+ <option name="disable_blend_func_extended" value="true" />
+ </application>
+ <application name="Unigine OilRush (64-bit)" executable="OilRush_x64">
+ <option name="disable_blend_func_extended" value="true" />
+ </application>
+ </device>
+</driconf>
--- /dev/null
+# Configuration file for eselect
+# This file has been automatically generated.
+LDPATH="/usr/lib32/opengl/xorg-x11/lib:/usr/lib64/opengl/xorg-x11/lib"
+OPENGL_PROFILE="xorg-x11"
GCC_SPECS=""
MANPATH="/usr/share/gcc-data/x86_64-pc-linux-gnu/4.5.4/man"
INFOPATH="/usr/share/gcc-data/x86_64-pc-linux-gnu/4.5.4/info"
+MULTIOSDIRS="../lib64:../lib32"
# Configuration file for eselect
# This file has been automatically generated.
-LDPATH="/usr/lib/postgresql:/usr/lib64/postgresql:/usr/lib64/postgresql-9.1/lib64/"
-MANPATH="/usr/share/postgresql/man/:/usr/share/postgresql-9.1/man/"
+LDPATH="/usr/lib/postgresql:/usr/lib64/postgresql:/usr/lib64/postgresql-9.2/lib64/:/usr/lib64/postgresql-9.1/lib64/"
+MANPATH="/usr/share/postgresql/man/:/usr/share/postgresql-9.2/man/:/usr/share/postgresql-9.1/man/"
MANPATH="/usr/share/gcc-data/x86_64-pc-linux-gnu/4.5.4/man"
INFOPATH="/usr/share/gcc-data/x86_64-pc-linux-gnu/4.5.4/info"
STDCXX_INCDIR="g++-v4"
+CTARGET="x86_64-pc-linux-gnu"
+GCC_SPECS=""
+MULTIOSDIRS="../lib64:../lib32"
GCC_PATH="/usr/x86_64-pc-linux-gnu/gcc-bin/4.5.4"
--- /dev/null
+/usr/bin/psql92
+/usr/bin/dropdb92
+/usr/bin/vacuumlo92
+/usr/bin/vacuumdb92
+/usr/bin/reindexdb92
+/usr/bin/clusterdb92
+/usr/bin/pg_restore92
+/usr/bin/pg_dumpall92
+/usr/bin/createuser92
+/usr/bin/pg_dump92
+/usr/bin/pg_config92
+/usr/bin/pgbench92
+/usr/bin/ecpg92
+/usr/bin/createdb92
+/usr/bin/dropuser92
+/usr/bin/oid2name92
+/usr/bin/createlang92
+/usr/bin/droplang92
-postgres_ebuilds="${postgres_ebuilds} postgresql-base-9.1.5"
+postgres_ebuilds="${postgres_ebuilds} postgresql-base-9.1.6"
-postgres_ebuilds="${postgres_ebuilds} postgresql-docs-9.1.5"
+postgres_ebuilds="${postgres_ebuilds} postgresql-docs-9.1.6"
-postgres_ebuilds="${postgres_ebuilds} postgresql-server-9.1.5"
+postgres_ebuilds="${postgres_ebuilds} postgresql-server-9.1.6"
--- /dev/null
+postgres_ebuilds="${postgres_ebuilds} postgresql-base-9.2.1"
--- /dev/null
+postgres_ebuilds="${postgres_ebuilds} postgresql-docs-9.2.1"
--- /dev/null
+# GTK+ Input Method Modules file
+# Automatically generated file, do not edit
+# Created by gtk-query-immodules-2.0-32 from gtk+-2.24.12
+#
+# ModulesPath = /root/.gtk-2.0/2.10.0/i686-pc-linux-gnu/immodules:/root/.gtk-2.0/2.10.0/immodules:/root/.gtk-2.0/i686-pc-linux-gnu/immodules:/root/.gtk-2.0/immodules:/usr/lib32/gtk-2.0/2.10.0/i686-pc-linux-gnu/immodules:/usr/lib32/gtk-2.0/2.10.0/immodules:/usr/lib32/gtk-2.0/i686-pc-linux-gnu/immodules:/usr/lib32/gtk-2.0/immodules
+#
+"/usr/lib32/gtk-2.0/2.10.0/immodules/im-xim.so"
+"xim" "X Input Method" "gtk20" "/usr/share/locale" "ko:ja:th:zh"
+
+"/usr/lib32/gtk-2.0/2.10.0/immodules/im-ti-et.so"
+"ti_et" "Tigrigna-Ethiopian (EZ+)" "gtk20" "/usr/share/locale" "ti"
+
+"/usr/lib32/gtk-2.0/2.10.0/immodules/im-thai.so"
+"thai" "Thai-Lao" "gtk20" "/usr/share/locale" "lo:th"
+
+"/usr/lib32/gtk-2.0/2.10.0/immodules/im-viqr.so"
+"viqr" "Vietnamese (VIQR)" "gtk20" "/usr/share/locale" "vi"
+
+"/usr/lib32/gtk-2.0/2.10.0/immodules/im-multipress.so"
+"multipress" "Multipress" "gtk20" "" ""
+
+"/usr/lib32/gtk-2.0/2.10.0/immodules/im-ipa.so"
+"ipa" "IPA" "gtk20" "/usr/share/locale" ""
+
+"/usr/lib32/gtk-2.0/2.10.0/immodules/im-cyrillic-translit.so"
+"cyrillic_translit" "Cyrillic (Transliterated)" "gtk20" "/usr/share/locale" ""
+
+"/usr/lib32/gtk-2.0/2.10.0/immodules/im-ti-er.so"
+"ti_er" "Tigrigna-Eritrean (EZ+)" "gtk20" "/usr/share/locale" "ti"
+
+"/usr/lib32/gtk-2.0/2.10.0/immodules/im-am-et.so"
+"am_et" "Amharic (EZ+)" "gtk20" "/usr/share/locale" "am"
+
+"/usr/lib32/gtk-2.0/2.10.0/immodules/im-inuktitut.so"
+"inuktitut" "Inuktitut (Transliterated)" "gtk20" "/usr/share/locale" "iu"
+
+"/usr/lib32/gtk-2.0/2.10.0/immodules/im-cedilla.so"
+"cedilla" "Cedilla" "gtk20" "/usr/share/locale" "az:ca:co:fr:gv:oc:pt:sq:tr:wa"
+
keyword -prefix -timeout
}
-dir_writable()
-{
- mkdir "$1"/.test.$$ 2>/dev/null && rmdir "$1"/.test.$$
-}
-
: ${wipe_tmp:=${WIPE_TMP:-yes}}
: ${log_dmesg:=${LOG_DMESG:-yes}}
if ! [ -d "$dir" ]; then
mkdir -p "$dir" || return $?
fi
- dir_writable "$dir" || return 1
+ checkpath -W "$dir" || return 1
chmod a+rwt "$dir" 2> /dev/null
cd "$dir" || return 1
if yesno $wipe_tmp; then
fi
done
- if [ "$RC_UNAME" = Linux -a -d /run ] && false; then
+ if [ "$RC_UNAME" = Linux -a -d /run ]; then
migrate_to_run /var/lock /run/lock
migrate_to_run /var/run /run
fi
- if dir_writable /var/run; then
+ if checkpath -W /var/run; then
ebegin "Creating user login records"
local xtra=
[ "$RC_UNAME" = NetBSD ] && xtra=x
cleanup_tmp_dir "$tmp"
done
- if dir_writable /tmp; then
+ if checkpath -W /tmp; then
# Make sure our X11 stuff have the correct permissions
# Omit the chown as bootmisc is run before network is up
# and users may be using lame LDAP auth #139411
fi
if yesno $log_dmesg; then
- if $logw || dir_writable /var/log; then
+ if $logw || checkpath -W /var/log; then
# Create an 'after-boot' dmesg log
if [ "$RC_SYS" != VSERVER -a "$RC_SYS" != OPENVZ ]; then
dmesg > /var/log/dmesg
fi
fi
- [ -w /etc/nologin ] && rm -f /etc/nologin
return 0
}
return 0
}
+
+# vim: ft=sh
eend $retval
# Store the last font so we can use it ASAP on boot
- if [ $retval -eq 0 -a -w "$RC_LIBEXECDIR" ]; then
+ if [ $retval -eq 0 ] && checkpath -W "$RC_LIBEXECDIR"; then
mkdir -p "$RC_LIBEXECDIR"/console
for font in /usr/share/consolefonts/"$consolefont".*; do
:
description="Mount system critical filesystems in /dev."
depend() {
- use dev
+ use dev-mount
+ before dev
keyword -prefix -vserver
}
depend()
{
before dev modules
- keyword -vserver
+ keyword -lxc -prefix -vserver
}
start()
done
if [ "$RC_UNAME" = Linux ]; then
- fsck_opts="$fsck_opts -C0 -T"
+ local skiptypes x
+ for x in $net_fs_list $extra_net_fs_list; do
+ skiptypes="${skiptypes}no${x},"
+ done
+ skiptypes="${skiptypes}noopts=_netdev"
+ fsck_opts="$fsck_opts -C0 -T -t $skiptypes"
if [ -z "$fsck_passno" -a -z "$fsck_mnt" ]; then
fsck_args=${fsck_args--A -p}
if echo 2>/dev/null >/.test.$$; then
"$utc_cmd" != --utc -o \
-n "$clock_args" ];
then
- if yesno $clock_hctosys; then
+ if yesno ${clock_hctosys:-YES}; then
_hwclock --hctosys $utc_cmd $clock_args
else
_hwclock --systz $utc_cmd $clock_args
{
# Don't tweak the hardware clock on LiveCD halt.
[ -n "$CDBOOT" ] && return 0
- yesno $clock_systohc || return 0
+ yesno ${clock_systohc:-YES} || return 0
local retval=0 errstr=""
setupopts
#!/sbin/runscript
-# Copyright 1999-2011 Gentoo Foundation
+# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-firewall/iptables/files/iptables-1.4.11.init,v 1.2 2011/12/04 10:15:59 swegener Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-firewall/iptables/files/iptables-1.4.13-r1.init,v 1.1 2012/09/14 17:58:26 axs Exp $
extra_commands="save panic"
extra_started_commands="reload"
depend() {
before net
- use logger
}
set_table_policy() {
save() {
ebegin "Saving ${iptables_name} state"
- touch "${iptables_save}"
- chmod 0600 "${iptables_save}"
+ checkpath -q -d "$(dirname "${iptables_save}")"
+ checkpath -q -m 0600 -f "${iptables_save}"
${iptables_bin}-save ${SAVE_RESTORE_OPTIONS} > "${iptables_save}"
eend $?
}
#!/sbin/runscript
-# Copyright 1999-2011 Gentoo Foundation
+# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-firewall/iptables/files/iptables-1.4.11.init,v 1.2 2011/12/04 10:15:59 swegener Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-firewall/iptables/files/iptables-1.4.13-r1.init,v 1.1 2012/09/14 17:58:26 axs Exp $
extra_commands="save panic"
extra_started_commands="reload"
depend() {
before net
- use logger
}
set_table_policy() {
save() {
ebegin "Saving ${iptables_name} state"
- touch "${iptables_save}"
- chmod 0600 "${iptables_save}"
+ checkpath -q -d "$(dirname "${iptables_save}")"
+ checkpath -q -m 0600 -f "${iptables_save}"
${iptables_bin}-save ${SAVE_RESTORE_OPTIONS} > "${iptables_save}"
eend $?
}
fi
# Save the keymapping for use immediately at boot
- if [ -w "$RC_LIBEXECDIR" ]; then
+ if checkpath -W "$RC_LIBEXECDIR"; then
mkdir -p "$RC_LIBEXECDIR"/console
dumpkeys >"$RC_LIBEXECDIR"/console/keymap
fi
stop()
{
+ yesno $RC_GOINGDOWN || return 0
# We never unmount / or /dev or $RC_SVCDIR
# Bug 381783
done
if [ "$RC_UNAME" = Linux ]; then
- no_umounts_r="$no_umounts_r|/proc|/proc/.*|/run|/sys|/sys/.*"
+ no_umounts_r="$no_umounts_r|/proc|/proc/.*|/run|/sys|/sys/.*|/usr"
fi
no_umounts_r="^($no_umounts_r)$"
depend()
{
need killprocs savecache
- keyword -prefix -openvz -vserver -lxc
+ keyword -openvz -prefix -vserver -lxc
}
start()
{
+ local ret=0
+
# Flush all pending disk writes now
sync; sync
# Bug 381783
local rc_svcdir=$(echo $RC_SVCDIR | sed 's:/lib\(32\|64\)\?/:/lib(32|64)?/:g')
- local m="/dev|/dev/.*|/proc|/proc.*|/sys|/sys/.*|${rc_svcdir}" x= fs=
+ local m="/dev|/dev/.*|/proc|/proc.*|/sys|/sys/.*|/run|${rc_svcdir}" x= fs=
m="$m|/bin|/sbin|/lib(32|64)?|/libexec"
# RC_NO_UMOUNTS is an env var that can be set by plugins
local IFS="$IFS:"
do_unmount "umount -r" \
--skip-point-regex "$m" \
"${fs:+--skip-fstype-regex}" $fs --nonetdev
+ ret=$?
+
eoutdent
- eend $?
+
+ eend $ret
}
local IFVAR=$(shell_var "${IFACE}")
need localmount
+ if [ "$RC_UNAME" = Linux -a "$IFACE" != lo ]; then
+ need sysfs
+ fi
after bootmisc
- provide net
keyword -jail -prefix -vserver
case "${IFACE}" in
- lo|lo0);;
- *) after net.lo net.lo0 dbus;;
+ lo|lo0) ;;
+ *)
+ after net.lo net.lo0 dbus
+ provide net
+ ;;
esac
if [ "$(command -v "depend_${IFVAR}")" = "depend_${IFVAR}" ]; then
eval prov=\$rc_${dep}_${IFVAR}
if [ -n "${prov}" ]; then
${dep} ${prov}
+ ewarn "rc_${dep}_${IFVAR} is deprecated."
+ ewarn "Please use rc_net_${IFVAR}_${dep} instead."
fi
done
}
_has_carrier && return 0
eval timeout=\$carrier_timeout_${IFVAR}
- timeout=${timeout:-${carrier_timeout:-5}}
+ timeout=${timeout:-${carrier_timeout:-0}}
# Incase users don't want this nice feature ...
[ ${timeout} -le 0 ] && return 0
# Copyright (c) 2007-2009 Roy Marples <roy@marples.name>
# Released under the 2-clause BSD license.
-description="Mounts network shares according to /etc/fstab."
-
-need_portmap()
-{
- local opts=
- local IFS="
-"
- set -- $(fstabinfo --options --fstype nfs,nfs4)
- for opts; do
- case ,$opts, in
- *,noauto,*|*,nolock,*);;
- *) return 0;;
- esac
- done
- return 1
-}
+description="Mounts network shares, other than NFS, according to /etc/fstab."
+# We skip all NFS shares in this script because they require extra
+# daemons to be running on the client in order to work correctly.
+# It is best to allow nfs-utils to handle all nfs shares.
depend()
{
- # Only have portmap as a dependency if there is a nfs mount in fstab
- # that is set to mount at boot
- local pmap=
- if need_portmap; then
- pmap="rpc.statd"
- [ -x /etc/init.d/rpcbind ] \
- && pmap="$pmap rpcbind" \
- || pmap="$pmap portmap"
- fi
-
config /etc/fstab
- need net $pmap
use afc-client amd autofs openvpn
- use dns nfs nfsmount portmap rpcbind rpc.statd rpc.lockd
+ use dns
keyword -jail -prefix -vserver
}
start()
{
- local myneed= myuse= pmap="portmap" nfsmounts=
- [ -x /etc/init.d/rpcbind ] && pmap="rpcbind"
-
local x= fs= rc=
for x in $net_fs_list $extra_net_fs_list; do
case "$x" in
nfs|nfs4)
- # If the nfsmount script took care of the nfs
- # filesystems, then there's no point in trying
- # them twice
- service_started nfsmount && continue
-
- # Only try to mount NFS filesystems if portmap was
- # started. This is to fix "hang" problems for new
- # users who do not add portmap to the default runlevel.
- if need_portmap && ! service_started "$pmap"; then
- continue
- fi
+ continue
;;
esac
fs="$fs${fs:+,}$x"
. "$RC_LIBEXECDIR"/sh/rc-mount.sh
for x in $net_fs_list $extra_net_fs_list; do
- fs="$fs${fs:+,}$x"
+ case "$x" in
+ nfs|nfs4)
+ continue
+ ;;
+ *)
+ fs="$fs${fs:+,}$x"
+ ;;
+ esac
done
if [ -n "$fs" ]; then
umount -at $fs || eerror "Failed to simply unmount filesystems"
eindent
fs=
for x in $net_fs_list $extra_net_fs_list; do
- fs="$fs${fs:+|}$x"
+ case "$x" in
+ nfs|nfs4)
+ continue
+ ;;
+ *)
+ fs="$fs${fs:+|}$x"
+ ;;
+ esac
done
[ -n "$fs" ] && fs="^($fs)$"
do_unmount umount ${fs:+--fstype-regex} $fs --netdev
+++ /dev/null
-#!/sbin/runscript
-# Copyright (c) 2009 Roy Marples <roy@marples.name>
-# Released under the 2-clause BSD license.
-
-# This script was inspired by the equivalent rc.d network from NetBSD.
-
-description="Configures network interfaces."
-__nl="
-"
-
-depend()
-{
- need localmount
- after bootmisc
- provide net
- keyword -jail -prefix -vserver
-}
-
-uniqify()
-{
- local result= i=
- for i; do
- case " $result " in
- *" $i "*);;
- *) result="$result $i";;
- esac
- done
- echo "${result# *}"
-}
-
-reverse()
-{
- local result= i=
- for i; do
- result="$i $result"
- done
- echo "${result# *}"
-}
-
-sys_interfaces()
-{
- case "$RC_UNAME" in
- Linux)
- local w= rest= i= cmd=$1
- while read w rest; do
- i=${w%%:*}
- [ "$i" != "$w" ] || continue
- if [ "$cmd" = u ]; then
- ifconfig "$i" | grep -q "[ ]*UP" || continue
- fi
- printf "%s " "$i"
- done </proc/net/dev
- ;;
- *)
- ifconfig -l$1
- ;;
- esac
-}
-
-tentative()
-{
- local inet= address= rest=
-
- case "$RC_UNAME" in
- Linux)
- [ -x /sbin/ip ] || [ -x /bin/ip ] || return 1
- [ -n "$(ip -f inet6 addr show tentative)" ]
- ;;
- *)
- local inet= address= rest=
- LC_ALL=C ifconfig -a | while read inet address rest; do
- case "${inet}" in
- inet6)
- case "${rest}" in
- *" "tentative*) return 2;;
- esac
- ;;
- esac
- done
- [ $? = 2 ]
- ;;
- esac
-}
-
-
-auto_interfaces()
-{
- local ifs= c= f=
-
- case "$RC_UNAME" in
- NetBSD)
- for c in $(ifconfig -C 2>/dev/null); do
- for f in /etc/ifconfig.${c}[0-9]*; do
- [ -f "$f" ] && printf "%s" "$f{##*.} "
- done
- done
- ;;
- *)
- for f in /etc/ifconfig.*; do
- [ -f "$f" ] && printf "%s" "${f##*.} "
- done
- for f in /etc/ip.*; do
- [ -f "$f" ] && printf "%s" "${f##*.} "
- done
- ;;
- esac
- echo
-}
-
-interfaces()
-{
- uniqify $(sys_interfaces "$@") $interfaces $(auto_interfaces)
-}
-
-dumpargs()
-{
- local f="$1"
-
- shift
- case "$@" in
- '') [ -f "$f" ] && cat "$f";;
- *"$__nl"*) echo "$@";;
- *)
- (
- set -o noglob
- IFS=';'; set -- $@
- IFS="$__nl"; echo "$*"
- );;
- esac
-}
-
-intup=false
-runip()
-{
- local int="$1" err=
- shift
-
- # Ensure we have a valid broadcast address
- case "$@" in
- *" broadcast "*|*" brd "*) ;;
- *:*) ;; # Ignore IPv6
- *) set -- "$@" brd +;;
- esac
-
- err=$(LC_ALL=C ip address add "$@" dev "$int" 2>&1)
- if [ -z "$err" ]; then
- # ip does not bring up the interface when adding addresses
- if ! $intup; then
- ip link set "$int" up
- intup=true
- fi
- return 0
- fi
- if [ "$err" = "RTNETLINK answers: File exists" ]; then
- ip address del "$@" dev "$int" 2>/dev/null
- fi
- # Localise the error
- ip address add "$@" dev "$int"
-}
-
-routeflush()
-{
- if [ "$RC_UNAME" = Linux ]; then
- if [ -x /sbin/ip ] || [ -x /bin/ip ]; then
- ip route flush scope global
- ip route delete default 2>/dev/null
- else
- # Sadly we also delete some link routes, but
- # this cannot be helped
- local dest= gate= net= flags= rest=
- route -n | while read dest gate net flags rest; do
- [ -z "$net" ] && continue
- case "$dest" in
- [0-9]*) ;;
- *) continue;;
- esac
- local xtra= netmask="netmask $net"
- case "$flags" in
- U) continue;;
- *H*) flags=-host; netmask=;;
- *!*) flags=-net; xtra=reject;;
- *) flags=-net;;
- esac
- route del $flags $dest $netmask $xtra
- done
- # Erase any default dev eth0 routes
- route del default 2>/dev/null
- fi
- else
- route -qn flush
- fi
-}
-
-runargs()
-{
- dumpargs "$@" | while read -r args; do
- case "$args" in
- ''|"#"*) ;;
- *)
- (
- eval vebegin "${args#*!}"
- eval "${args#*!}"
- veend $?
- );;
- esac
- done
-}
-
-start()
-{
- local cr=0 r= int= intv= cmd= args= upcmd=
-
- if [ -z "$domainname" -a -s /etc/defaultdomain ]; then
- domainname=$(cat /etc/defaultdomain)
- fi
- if [ -n "$domainname" ]; then
- ebegin "Setting NIS domainname: $domainname"
- domainname "$domainname"
- eend $?
- fi
-
- ewarn
- ewarn "The $RC_SVCNAME script is deprecated and will be"
- ewarn "removed in the future."
- ewarn "Please use the net.* scripts to manage your network interfaces."
- ewarn
-
- einfo "Starting network"
- routeflush
- if [ "$RC_UNAME" = "Linux" ]; then
- ifconfig lo 127.0.0.1 netmask 255.0.0.0 || cr=1
- route add -net 127.0.0.0 netmask 255.0.0.0 \
- gw 127.0.0.1 reject 2>/dev/null
- else
- ifconfig lo0 127.0.0.1 netmask 255.0.0.0 || cr=1
- route -q add -inet 127.0.0.0 -netmask 255.0.0.0 \
- 127.0.0.1 -reject || cr=1
- fi
- eindent
- for int in $(interfaces); do
- local func= cf=
- intv=$(shell_var "$int")
- eval upcmd=\$ifup_$intv
- for func in ip ifconfig; do
- eval cmd=\$${func}_$intv
- if [ -n "$cmd" -o -f /etc/"$func.$int" ]; then
- cf=/etc/"$func.$int"
- break
- fi
- done
- [ -n "$cf" -o -n "$upcmd" -o \
- -f /etc/ifup."$int" -o -f "$cf" ] || continue
- veinfo "$int"
- case "$func" in
- ip) func=runip; intup=false;;
- esac
- eindent
- runargs /etc/ifup."$int" "$upcmd"
- r=0
- dumpargs "$cf" "$cmd" | while read -r args; do
- case "$args" in
- ''|"#"*) ;;
- "!"*)
- (
- eval vebegin "${args#*!}"
- eval "${args#*!}"
- veend $?
- );;
- *)
- (
- set -o noglob
- eval set -- "$args"
- vebegin "$@"
- $func "$int" "$@"
- veend $?
- );;
- esac
- done
- eoutdent
- done
- eoutdent
- eend $cr
-
- # Wait for any inet6 tentative addresses
- r=5
- while [ $r -gt 0 ]; do
- tentative || break
- [ $r = 5 ] && vebegin "Waiting for tentative addresses"
- sleep 1
- : $(( r -= 1 ))
- done
- if [ $r != 5 ]; then
- [ $r != 0 ]
- veend $?
- fi
-
- if [ -n "$defaultroute" ]; then
- ebegin "Setting default route $defaultroute"
- route add default $defaultroute
- eend $?
- elif [ -n "$defaultiproute" ]; then
- ebegin "Setting default route $defaultiproute"
- ip route add default $defaultiproute
- eend $?
- fi
-
- if [ -n "$defaultroute6" ]; then
- ebegin "Setting default route $defaultroute6"
- if [ "$RC_UNAME" = Linux ]; then
- routecmd="route -A inet6 add"
- else
- routecmd="route -inet6 add"
- fi
- $routecmd default $defaultroute6
- eend $?
- elif [ -n "$defaultiproute6" ]; then
- ebegin "Setting default route $defaultiproute6"
- ip -f inet6 route add default $defaultiproute6
- eend $?
- fi
-
- return 0
-}
-
-stop()
-{
- # Don't stop the network at shutdown.
- # We don't use the noshutdown keyword so that we are started again
- # correctly if we go back to multiuser.
- yesno ${shutdown_network:-YES} && yesno $RC_GOINGDOWN && return 0
-
- local int= intv= cmd= downcmd= r=
- einfo "Stopping network"
- routeflush
- eindent
- for int in $(reverse $(interfaces u)); do
- intv=$(shell_var "$int")
- eval downcmd=\$ifdown_$intv
- eval cmd=\$ip_$intv
- [ -z "$cmd" ] && eval cmd=\$ifconfig_$intv
- if [ -n "$cmd" -o -f /etc/ip."$int" -o \
- -f /etc/ifconfig."$int" -o \
- -n "$downcmd" -o -f /etc/ifdown."$int" ];
- then
- veinfo "$int"
- runargs /etc/ifdown."$int" "$downcmd"
- if [ -x /sbin/ip ] || [ -x /bin/ip ]; then
- # We need to do this, otherwise we may
- # fail to add things correctly on restart
- ip address flush dev "$int" 2>/dev/null
- fi
- ifconfig "$int" down 2>/dev/null
- ifconfig "$int" destroy 2>/dev/null
- fi
- done
- eoutdent
- eend 0
-}
[ -e /proc/filesystems ] || return 0
- # Check what USB fs the kernel support. Currently
- # 2.5+ kernels, and later 2.4 kernels have 'usbfs',
- # while older kernels have 'usbdevfs'.
- if [ -d /proc/bus/usb -a ! -e /proc/bus/usb/devices ]; then
- local usbfs=$(grep -Fow usbfs /proc/filesystems ||
- grep -Fow usbdevfs /proc/filesystems)
- if [ -n "$usbfs" ]; then
- ebegin "Mounting USB device filesystem [$usbfs]"
- local usbgid="$(getent group usb | \
- sed -e 's/.*:.*:\(.*\):.*/\1/')"
- mount -t $usbfs \
- -o ${usbgid:+devmode=0664,devgid=$usbgid,}noexec,nosuid \
- usbfs /proc/bus/usb
- eend $?
- fi
- fi
-
# Setup Kernel Support for miscellaneous Binary Formats
if [ -d /proc/sys/fs/binfmt_misc -a ! -e /proc/sys/fs/binfmt_misc/register ]; then
if grep -qs binfmt_misc /proc/filesystems; then
ebegin "Loading custom binary format handlers"
fmts=$(grep -hsv -e '^[#;]' -e '^[[:space:]]*$' \
/run/binfmt.d/*.conf \
- "/etc"/binfmt.d/*.conf \
+ /etc/binfmt.d/*.conf \
""/usr/lib/binfmt.d/*.conf)
if [ -n "${fmts}" ]; then
echo "${fmts}" > /proc/sys/fs/binfmt_misc/register
fi
fi
+ [ "$RC_SYS" = "OPENVZ" ] && return 0
+
+ # Check what USB fs the kernel support. Currently
+ # 2.5+ kernels, and later 2.4 kernels have 'usbfs',
+ # while older kernels have 'usbdevfs'.
+ if [ -d /proc/bus/usb -a ! -e /proc/bus/usb/devices ]; then
+ local usbfs=$(grep -Fow usbfs /proc/filesystems ||
+ grep -Fow usbdevfs /proc/filesystems)
+ if [ -n "$usbfs" ]; then
+ ebegin "Mounting USB device filesystem [$usbfs]"
+ local usbgid="$(getent group usb | \
+ sed -e 's/.*:.*:\(.*\):.*/\1/')"
+ mount -t $usbfs \
+ -o ${usbgid:+devmode=0664,devgid=$usbgid,}noexec,nosuid \
+ usbfs /proc/bus/usb
+ eend $?
+ fi
+ fi
+
# Setup Kernel Support for SELinux
if [ -d /selinux ] && ! mountinfo -q /selinux; then
if grep -qs selinuxfs /proc/filesystems; then
start()
{
case ",$(fstabinfo -o /)," in
- *,ro,*) return 0;;
+ *,ro,*)
+ ;;
+ *)
+ # Check if the rootfs isn't already writable.
+ if checkpath -W /; then
+ rm -f /fastboot /forcefsck
+ else
+ ebegin "Remounting root filesystem read/write"
+ case "$RC_UNAME" in
+ Linux)
+ mount -n -o remount,rw /
+ ;;
+ *)
+ mount -u -o rw /
+ ;;
+ esac
+ eend $? "Root filesystem could not be mounted read/write"
+ if [ $? -eq 0 ]; then
+ rm -f /fastboot /forcefsck
+ fi
+ fi
+ ;;
esac
- if echo 2>/dev/null >/.test.$$; then
- rm -f /.test.$$ /fastboot /forcefsck
- return 0
- fi
-
- ebegin "Remounting root filesystem read/write"
- case "$RC_UNAME" in
- Linux) mount -n -o remount,rw /;;
- *) mount -u -o rw /;;
- esac
- if eend $? "Root filesystem could not be mounted read/write"; then
- rm -f /fastboot /forcefsck
- fi
+ ebegin "Remounting filesystems"
+ local mountpoint
+ for mountpoint in $(fstabinfo); do
+ case "${mountpoint}" in
+ /)
+ ;;
+ /*)
+ mountinfo -q "${mountpoint}" && \
+ fstabinfo --remount "${mountpoint}"
+ ;;
+ esac
+ done
+ eend 0
}
return 1
fi
fi
+ if ! checkpath -W "$RC_LIBEXECDIR"; then
+ ewarn "WARNING: ${RC_LIBEXECDIR} is not writable!"
+ if ! yesno "${RC_GOINGDOWN}"; then
+ ewarn "Unable to save deptree cache"
+ return 1
+ fi
+ return 0
+ fi
ebegin "Saving dependency cache"
local rc=
if [ ! -d "$RC_LIBEXECDIR"/cache ]; then
--- /dev/null
+#!/sbin/runscript
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/sys-apps/smartmontools/files/smartd.rc,v 1.9 2011/09/15 07:58:50 polynomial-c Exp $
+
+depend() {
+ need localmount
+ after bootmisc
+}
+
+extra_started_commands="reload"
+
+checkconfig() {
+ if [ ! -f "/etc/smartd.conf" ] ; then
+ eerror "You should setup your /etc/smartd.conf file!"
+ eerror "See the smartd.conf(5) manpage."
+ return 1
+ fi
+ return 0
+}
+
+start() {
+ checkconfig || return 1
+
+ ebegin "Starting S.M.A.R.T. monitoring daemon"
+ start-stop-daemon --start --exec /usr/sbin/smartd \
+ --pidfile /var/run/smartd.pid \
+ -- -p /var/run/smartd.pid ${SMARTD_OPTS}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping S.M.A.R.T. monitoring daemon"
+ start-stop-daemon --stop --exec /usr/sbin/smartd \
+ --pidfile /var/run/smartd.pid
+ eend $?
+}
+
+reload() {
+ ebegin "Reloading configuration"
+ start-stop-daemon --signal HUP --pidfile /var/run/smartd.pid smartd
+ eend $?
+}
+++ /dev/null
-#!/sbin/runscript
-# Copyright (c) 2009 Roy Marples <roy@marples.name>
-# Released under the 2-clause BSD license.
-
-# This script was inspired by the equivalent rc.d staticroute from NetBSD.
-
-description="Configures static routes."
-__nl="
-"
-
-depend()
-{
- provide net
- use network
- keyword -jail -prefix -vserver
-}
-
-pre_flight_checks()
-{
- route=route
- [ -s /etc/route.conf ] && return 0
-
- if [ -n "$staticiproute" ]; then
- route="ip route"
- staticroute="$staticiproute"
- fi
-}
-
-dump_args()
-{
- # Route configuration file, as used by the NetBSD RC system
- if [ -s /etc/route.conf ]; then
- cat /etc/route.conf
- return $?
- fi
-
- case "$staticroute" in
- *"$__nl"*)
- echo "$staticroute"
- ;;
- *)
- (
- set -o noglob
- IFS=';'; set -- $staticroute
- IFS="$__nl"; echo "$*"
- )
- ;;
- esac
-}
-
-do_routes()
-{
- local xtra= family=
- [ "$RC_UNAME" != Linux ] && xtra=-q
-
- ebegin "$1 static routes"
- eindent
- pre_flight_checks
- dump_args | while read args; do
- [ -z "$args" ] && continue
- case "$args" in
- "#"*)
- ;;
- "+"*)
- [ $2 = "add" ] && eval ${args#*+}
- ;;
- "-"*)
- [ $2 = "del" -o $2 = "delete" ] && eval ${args#*-}
- ;;
- *)
- veinfo "$args"
- case "$route" in
- "ip route")
- ip route $2 $args
- ;;
- *)
- # Linux route does cannot work it out ...
- if [ "$RC_UNAME" = Linux ]; then
- case "$args" in
- *:*) family="-A inet6";;
- *) family=;;
- esac
- fi
- route $family $xtra $2 -$args
- ;;
- esac
- veend $?
- esac
- done
- eoutdent
- eend 0
-}
-
-start()
-{
- ewarn
- ewarn "The $RC_SVCNAME script is deprecated and will be"
- ewarn "removed in the future."
- ewarn "Please use the net.* scripts to manage your network interfaces."
- ewarn
- do_routes "Adding" "add"
-}
-
-stop()
-{
- local cmd="delete"
- [ "$RC_UNAME" = Linux ] && cmd="del"
- do_routes "Deleting" "$cmd"
-}
depend()
{
- need localmount
+ before localmount
keyword -jail -openvz -prefix -vserver -lxc
}
{
ebegin "Activating swap devices"
case "$RC_UNAME" in
+ Linux) swapon -a -e >/dev/null;;
NetBSD|OpenBSD) swapctl -A -t noblk >/dev/null;;
*) swapon -a >/dev/null;;
esac
ebegin "Deactivating swap devices"
# Try to unmount all tmpfs filesystems not in use, else a deadlock may
- # occure. As $RC_SVCDIR may also be tmpfs we cd to it to lock it
+ # occur. As $RC_SVCDIR may also be tmpfs we cd to it to lock it
cd "$RC_SVCDIR"
umount -a -t tmpfs 2>/dev/null
--- /dev/null
+#!/sbin/runscript
+# Copyright (c) 2007-2009 Roy Marples <roy@marples.name>
+# Released under the 2-clause BSD license.
+
+depend()
+{
+ need localmount
+ keyword -jail -openvz -prefix -vserver -lxc
+}
+
+start()
+{
+ ebegin "Activating additional swap space"
+ case "$RC_UNAME" in
+ NetBSD|OpenBSD) swapctl -A -t noblk >/dev/null;;
+ *) swapon -a >/dev/null;;
+ esac
+ eend 0 # If swapon has nothing todo it errors, so always return 0
+}
+
+stop()
+{
+ ebegin "Deactivating additional swap space"
+
+ # Try to unmount all tmpfs filesystems not in use, else a deadlock may
+ # occur. As $RC_SVCDIR may also be tmpfs we cd to it to lock it
+ # fixme: Do we need this here since we are only unmounting swap files
+ # and loopback swap?
+ cd "$RC_SVCDIR"
+ umount -a -t tmpfs 2>/dev/null
+
+ case "$RC_UNAME" in
+ Linux)
+ if [ -e /proc/swaps ]; then
+ while read filename type rest; do
+ case "$type" in
+ file) swapoff $filename >/dev/null;;
+ esac
+ case "$filename" in
+ /dev/loop*) swapoff $filename >/dev/null;;
+ esac
+ done < /proc/swaps
+ fi
+ ;;
+ esac
+ eend 0
+}
depend()
{
before bootmisc logger
- keyword -prefix -vserver
+ keyword -lxc -prefix -vserver
}
start()
ebegin "Configuring kernel parameters"
eindent
- for conf in /etc/sysctl.d/*.conf /etc/sysctl.conf; do
+ for conf in /etc/sysctl.conf /etc/sysctl.d/*.conf; do
if [ -r "$conf" ]; then
vebegin "applying $conf"
- if ! err=$(sysctl -q -p "$conf" 2>&1) ; then
+ if ! err=$(sysctl -p "$conf" 2>&1 >/dev/null) ; then
errs="${errs} ${err}"
- sysctl -q -e -p "${conf}"
+ sysctl -e -p "${conf}" >/dev/null
fi
veend $? || retval=1
fi
depend()
{
- keyword -prefix -vserver
+ keyword -lxc -prefix -vserver
}
mount_sys()
mount_cgroups()
{
- yesno ${rc_cgroups:-YES} && [ -e /proc/cgroups ] && \
mountinfo -q /sys/fs/cgroup || return 0
+ local agent="/lib64/rc/sh/cgroup-release-agent.sh"
+ mkdir /sys/fs/cgroup/openrc
+ mount -n -t cgroup \
+ -o none,nodev,noexec,nosuid,name=openrc,release_agent="$agent" \
+ openrc /sys/fs/cgroup/openrc
+ echo 1 > /sys/fs/cgroup/openrc/notify_on_release
+
+ yesno ${rc_controller_cgroups:-YES} && [ -e /proc/cgroups ] || return 0
while read name hier groups enabled rest; do
case "${enabled}" in
1) mkdir /sys/fs/cgroup/${name}
depend()
{
- keyword -openvz -prefix -uml -vserver -xenu
- need root
+ keyword -lxc -openvz -prefix -uml -vserver -xenu
+ use root
after bootmisc
}
done
# Save the encoding for use immediately at boot
- if [ -w "$RC_LIBEXECDIR" ]; then
+ if checkpath -W "$RC_LIBEXECDIR"; then
mkdir -p "$RC_LIBEXECDIR"/console
if yesno ${unicode:-${UNICODE}}; then
echo "" > "$RC_LIBEXECDIR"/console/unicode
--- /dev/null
+#!/sbin/runscript
+# Copyright 1999-2012 Gentoo Foundation
+# Released under the 2-clause BSD license.
+
+description="set up tmpfiles.d entries"
+
+depend()
+{
+ need localmount
+}
+
+start()
+{
+ ebegin "setting up tmpfiles.d entries"
+ /lib64/rc/sh/tmpfiles.sh --create --remove ${tmpfiles_opts}
+ eend $?
+ return 0
+}
depend()
{
need localmount
- keyword -jail -openvz -prefix
+ keyword -jail -lxc -openvz -prefix
}
save_seed()
/usr/lib
/usr/local/lib
include ld.so.conf.d/*.conf
+/usr/lib32/opengl/xorg-x11/lib
+/usr/lib64/opengl/xorg-x11/lib
/usr/lib/postgresql
/usr/lib64/postgresql
+/usr/lib64/postgresql-9.2/lib64/
/usr/lib64/postgresql-9.1/lib64/
-install ohci_hcd /sbin/modprobe ehci_hcd ; /sbin/modprobe --ignore-install ohci_hcd $CMDLINE_OPTS
-install uhci_hcd /sbin/modprobe ehci_hcd ; /sbin/modprobe --ignore-install uhci_hcd $CMDLINE_OPTS
+softdep uhci_hcd pre: ehci_hcd
+softdep ohci_hcd pre: ehci_hcd
command[check_users]=/usr/lib64/nagios/plugins/check_users -w $ARG1$ -c $ARG2$
command[check_load]=/usr/lib64/nagios/plugins/check_load -w $ARG1$ -c $ARG2$
command[check_disk]=/usr/lib64/nagios/plugins/check_disk -w $ARG1$ -c $ARG2$ -p $ARG3$
-command[check_procs]=/usr/lib64/nagios/plugins/check_procs -w $ARG1$ -c $ARG2$ -s $ARG3$
-command[check_proc_arg]=/usr/lib64/nagios/plugins/check_procs -w $ARG1$ -c $ARG2$ -a $ARG3$
+#command[check_procs]=/usr/lib64/nagios/plugins/check_procs -w $ARG1$ -c $ARG2$ -s $ARG3$
+#command[check_proc_arg]=/usr/lib64/nagios/plugins/check_procs -w $ARG1$ -c $ARG2$ -a $ARG3$
command[check_swap]=/usr/lib64/nagios/plugins/check_swap -w $ARG1$ -c $ARG2$
+command[check_procs]=/opt/icinga/bin/check-procs.pl -w $ARG1$ -c $ARG2$ -s $ARG3$
+command[check_proc_arg]=/opt/icinga/bin/check-procs.pl -w $ARG1$ -c $ARG2$ -a $ARG3$
+command[check_init_proc]=/opt/icinga/bin/check-procs.pl -i -w $ARG1$ -c $ARG2$ -a $ARG3$
-#$Id: authldap.schema,v 1.9 2009/12/18 04:24:20 mrsam Exp $
#
# OID prefix: 1.3.6.1.4.1.10018
#
--- /dev/null
+# Pango Modules file
+# Automatically generated file, do not edit
+#
+# ModulesPath = /usr/lib32/pango/1.6.0/modules
+#
+/usr/lib32/pango/1.6.0/modules/pango-indic-fc.so devaScriptEngineFc PangoEngineShape PangoRenderFc devanagari:*
+/usr/lib32/pango/1.6.0/modules/pango-indic-fc.so bengScriptEngineFc PangoEngineShape PangoRenderFc bengali:*
+/usr/lib32/pango/1.6.0/modules/pango-indic-fc.so guruScriptEngineFc PangoEngineShape PangoRenderFc gurmukhi:*
+/usr/lib32/pango/1.6.0/modules/pango-indic-fc.so gujrScriptEngineFc PangoEngineShape PangoRenderFc gujarati:*
+/usr/lib32/pango/1.6.0/modules/pango-indic-fc.so oryaScriptEngineFc PangoEngineShape PangoRenderFc oriya:*
+/usr/lib32/pango/1.6.0/modules/pango-indic-fc.so tamlScriptEngineFc PangoEngineShape PangoRenderFc tamil:*
+/usr/lib32/pango/1.6.0/modules/pango-indic-fc.so teluScriptEngineFc PangoEngineShape PangoRenderFc telugu:*
+/usr/lib32/pango/1.6.0/modules/pango-indic-fc.so kndaScriptEngineFc PangoEngineShape PangoRenderFc kannada:*
+/usr/lib32/pango/1.6.0/modules/pango-indic-fc.so mlymScriptEngineFc PangoEngineShape PangoRenderFc malayalam:*
+/usr/lib32/pango/1.6.0/modules/pango-indic-fc.so sinhScriptEngineFc PangoEngineShape PangoRenderFc sinhala:*
+/usr/lib32/pango/1.6.0/modules/pango-khmer-fc.so KhmerScriptEngineFc PangoEngineShape PangoRenderFc khmer:*
+/usr/lib32/pango/1.6.0/modules/pango-basic-x.so BasicScriptEngineX PangoEngineShape PangoRenderX common:
+/usr/lib32/pango/1.6.0/modules/pango-indic-lang.so devaIndicScriptEngineLang PangoEngineLang PangoRenderNone devanagari:*
+/usr/lib32/pango/1.6.0/modules/pango-indic-lang.so bengIndicScriptEngineLang PangoEngineLang PangoRenderNone bengali:*
+/usr/lib32/pango/1.6.0/modules/pango-indic-lang.so guruIndicScriptEngineLang PangoEngineLang PangoRenderNone gurmukhi:*
+/usr/lib32/pango/1.6.0/modules/pango-indic-lang.so gujrIndicScriptEngineLang PangoEngineLang PangoRenderNone gujarati:*
+/usr/lib32/pango/1.6.0/modules/pango-indic-lang.so oryaIndicScriptEngineLang PangoEngineLang PangoRenderNone oriya:*
+/usr/lib32/pango/1.6.0/modules/pango-indic-lang.so tamlIndicScriptEngineLang PangoEngineLang PangoRenderNone tamil:*
+/usr/lib32/pango/1.6.0/modules/pango-indic-lang.so teluIndicScriptEngineLang PangoEngineLang PangoRenderNone telugu:*
+/usr/lib32/pango/1.6.0/modules/pango-indic-lang.so kndaIndicScriptEngineLang PangoEngineLang PangoRenderNone kannada:*
+/usr/lib32/pango/1.6.0/modules/pango-indic-lang.so mlymIndicScriptEngineLang PangoEngineLang PangoRenderNone malayalam:*
+/usr/lib32/pango/1.6.0/modules/pango-indic-lang.so sinhIndicScriptEngineLang PangoEngineLang PangoRenderNone sinhala:*
+/usr/lib32/pango/1.6.0/modules/pango-basic-fc.so BasicScriptEngineFc PangoEngineShape PangoRenderFc latin:* cyrillic:* greek:* armenian:* georgian:* runic:* ogham:* bopomofo:* cherokee:* coptic:* deseret:* ethiopic:* gothic:* han:* hiragana:* katakana:* old-italic:* canadian-aboriginal:* yi:* braille:* cypriot:* limbu:* osmanya:* shavian:* linear-b:* ugaritic:* glagolitic:* cuneiform:* phoenician:* common:
+/usr/lib32/pango/1.6.0/modules/pango-arabic-lang.so ArabicScriptEngineLang PangoEngineLang PangoRenderNone arabic:*
+/usr/lib32/pango/1.6.0/modules/pango-arabic-fc.so ArabicScriptEngineFc PangoEngineShape PangoRenderFc arabic:* nko:*
+/usr/lib32/pango/1.6.0/modules/pango-hangul-fc.so HangulScriptEngineFc PangoEngineShape PangoRenderFc hangul:*
+/usr/lib32/pango/1.6.0/modules/pango-tibetan-fc.so TibetanScriptEngineFc PangoEngineShape PangoRenderFc tibetan:*
+/usr/lib32/pango/1.6.0/modules/pango-thai-fc.so ThaiScriptEngineFc PangoEngineShape PangoRenderFc thai:* lao:*
+/usr/lib32/pango/1.6.0/modules/pango-syriac-fc.so SyriacScriptEngineFc PangoEngineShape PangoRenderFc syriac:*
+/usr/lib32/pango/1.6.0/modules/pango-hebrew-fc.so HebrewScriptEngineFc PangoEngineShape PangoRenderFc hebrew:*
~dev-perl/local-lib-1.8.4
~dev-perl/Log-Dispatch-Config-1.40.0
~dev-perl/Math-Base36-0.90.0
+~dev-perl/Math-Calc-Units-1.70.0
~dev-perl/MemHandle-0.06
~dev-perl/Memoize-ExpireLRU-0.55
~dev-perl/Module-Install-1.40.0
~dev-perl/MooseX-Types-Set-Object-0.030
~dev-perl/MooseX-Types-Structured-0.270.0
~dev-perl/MooseX-Workers-0.160
+~dev-perl/Nagios-Plugin-0.360.0
~dev-perl/Net-Server-SS-PreFork-0.05
~dev-perl/Object-Signature-1.70.0
~dev-perl/Package-DeprecationManager-0.110.0
--- /dev/null
+=dev-db/postgresql-server-9.2*
# move net-analyzer/nagios-nrpe net-analyzer/nrpe
net-analyzer/nrpe command-args
-net-analyzer/nagios-plugins nagios-dns nagios-ntp nagios-ping nagios-ssh
+net-analyzer/nagios-plugins nagios-dns nagios-ntp nagios-ping nagios-ssh smart sudo
net-analyzer/net-snmp diskio elf extensible lm_sensors mfd-rewrites sendmail smux
net-analyzer/tcpdump -samba
net-analyzer/wireshark adns gcrypt geoip profile smi
export LC_TIME='de_DE.utf8'
export LESS='-R -M --shift 5'
export LESSOPEN='|lesspipe %s'
-export MANPATH='/usr/local/share/man:/usr/share/man:/usr/share/gcc-data/x86_64-pc-linux-gnu/4.5.4/man:/usr/share/binutils-data/x86_64-pc-linux-gnu/2.22/man:/etc/java-config/system-vm/man/:/usr/lib64/php5.3/man/:/usr/lib64/php5.4/man/:/usr/share/postgresql/man/:/usr/share/postgresql-9.1/man/'
+export MANPATH='/usr/local/share/man:/usr/share/man:/usr/share/gcc-data/x86_64-pc-linux-gnu/4.5.4/man:/usr/share/binutils-data/x86_64-pc-linux-gnu/2.22/man:/etc/java-config/system-vm/man/:/usr/lib64/php5.3/man/:/usr/lib64/php5.4/man/:/usr/share/postgresql/man/:/usr/share/postgresql-9.2/man/:/usr/share/postgresql-9.1/man/'
+export MULTIOSDIRS='../lib64:../lib32'
+export OPENGL_PROFILE='xorg-x11'
export PATH='/opt/bin:/usr/x86_64-pc-linux-gnu/gcc-bin/4.5.4:/usr/lib64/subversion/bin'
export PYTHONDOCS_2_7='/usr/share/doc/python-docs-2.7.2/html/library'
export PYTHONDOCS_3_2='/usr/share/doc/python-docs-3.2.2/html/library'
# These variables are documented here, but should be configured in
# /etc/conf.d/foo for service foo and NOT enabled here unless you
# really want them to work on a global basis.
+# If your service has characters in its name which are not legal in
+# shell variable names and you configure the variables for it in this
+# file, those characters should be replaced with underscores in the
+# variable names as shown below.
# Some daemons are started and stopped via start-stop-daemon.
# We can set some things on a per service basis, like the nicelevel.
#rc_foo_need="openvpn"
#rc_foo_after="clock"
+# Below is an example for service foo-bar. Note that the '-' is illegal
+# in a shell variable name, so we convert it to an underscore.
+# example for service foo-bar.
+#rc_foo_bar_config="/etc/foo-bar"
+#rc_foo_bar_need="openvpn"
+#rc_foo_bar_after="clock"
+
# You can also remove dependencies.
# This is mainly used for saying which servies do NOT provide net.
#rc_net_tap0_provide="!net"
# "vserver" - Linux vserver
# "xen0" - Xen0 Domain
# "xenU" - XenU Domain
-# If this is commented out, automatic detection will be attempted.
-# Note that autodetection will not work in a prefix environment or in a
-# linux container.
+# If this is commented out, automatic detection will be used.
#
# This should be set to the value representing the environment this file is
# PRESENTLY in, not the virtualization the environment is capable of.
# consolefont, numlock, etc ...)
rc_tty_number=12
+# If you have cgroups turned on in your kernel, this switch controls
+# whether or not a group for each controler is mounted under
+# /sys/fs/cgroup.
+# Support for process management by cgroups is planned in the future,
+# so if you turn this off, be aware that you may not be able to use that
+# feature.
+#rc_controller_cgroups="YES"
+++ /dev/null
-SEARCH_DIRS="/usr/nagios/libexec"
--- /dev/null
+/etc/init.d/swapfiles
\ No newline at end of file
--- /dev/null
+/etc/init.d/tmpfiles.setup
\ No newline at end of file
--- /dev/null
+/etc/init.d/sysfs
\ No newline at end of file
--- /dev/null
+/etc/init.d/udev-mount
\ No newline at end of file
--- /dev/null
+# Sample configuration file for smartd. See man smartd.conf.
+
+# Home page is: http://smartmontools.sourceforge.net
+
+# $Id: smartd.conf 3128 2010-07-27 13:08:31Z chrfranke $
+
+# smartd will re-read the configuration file if it receives a HUP
+# signal
+
+# The file gives a list of devices to monitor using smartd, with one
+# device per line. Text after a hash (#) is ignored, and you may use
+# spaces and tabs for white space. You may use '\' to continue lines.
+
+# You can usually identify which hard disks are on your system by
+# looking in /proc/ide and in /proc/scsi.
+
+# The word DEVICESCAN will cause any remaining lines in this
+# configuration file to be ignored: it tells smartd to scan for all
+# ATA and SCSI devices. DEVICESCAN may be followed by any of the
+# Directives listed below, which will be applied to all devices that
+# are found. Most users should comment out DEVICESCAN and explicitly
+# list the devices that they wish to monitor.
+DEVICESCAN
+
+# Alternative setting to ignore temperature and power-on hours reports
+# in syslog.
+#DEVICESCAN -I 194 -I 231 -I 9
+
+# Alternative setting to report more useful raw temperature in syslog.
+#DEVICESCAN -R 194 -R 231 -I 9
+
+# Alternative setting to report raw temperature changes >= 5 Celsius
+# and min/max temperatures.
+#DEVICESCAN -I 194 -I 231 -I 9 -W 5
+
+# First (primary) ATA/IDE hard disk. Monitor all attributes, enable
+# automatic online data collection, automatic Attribute autosave, and
+# start a short self-test every day between 2-3am, and a long self test
+# Saturdays between 3-4am.
+#/dev/hda -a -o on -S on -s (S/../.././02|L/../../6/03)
+
+# Monitor SMART status, ATA Error Log, Self-test log, and track
+# changes in all attributes except for attribute 194
+#/dev/hdb -H -l error -l selftest -t -I 194
+
+# Monitor all attributes except normalized Temperature (usually 194),
+# but track Temperature changes >= 4 Celsius, report Temperatures
+# >= 45 Celsius and changes in Raw value of Reallocated_Sector_Ct (5).
+# Send mail on SMART failures or when Temperature is >= 55 Celsius.
+#/dev/hdc -a -I 194 -W 4,45,55 -R 5 -m admin@example.com
+
+# An ATA disk may appear as a SCSI device to the OS. If a SCSI to
+# ATA Translation (SAT) layer is between the OS and the device then
+# this can be flagged with the '-d sat' option. This situation may
+# become common with SATA disks in SAS and FC environments.
+# /dev/sda -a -d sat
+
+# A very silent check. Only report SMART health status if it fails
+# But send an email in this case
+#/dev/hdc -H -C 0 -U 0 -m admin@example.com
+
+# First two SCSI disks. This will monitor everything that smartd can
+# monitor. Start extended self-tests Wednesdays between 6-7pm and
+# Sundays between 1-2 am
+#/dev/sda -d scsi -s L/../../3/18
+#/dev/sdb -d scsi -s L/../../7/01
+
+# Monitor 4 ATA disks connected to a 3ware 6/7/8000 controller which uses
+# the 3w-xxxx driver. Start long self-tests Sundays between 1-2, 2-3, 3-4,
+# and 4-5 am.
+# NOTE: starting with the Linux 2.6 kernel series, the /dev/sdX interface
+# is DEPRECATED. Use the /dev/tweN character device interface instead.
+# For example /dev/twe0, /dev/twe1, and so on.
+#/dev/sdc -d 3ware,0 -a -s L/../../7/01
+#/dev/sdc -d 3ware,1 -a -s L/../../7/02
+#/dev/sdc -d 3ware,2 -a -s L/../../7/03
+#/dev/sdc -d 3ware,3 -a -s L/../../7/04
+
+# Monitor 2 ATA disks connected to a 3ware 9000 controller which
+# uses the 3w-9xxx driver (Linux, FreeBSD). Start long self-tests Tuesdays
+# between 1-2 and 3-4 am.
+#/dev/twa0 -d 3ware,0 -a -s L/../../2/01
+#/dev/twa0 -d 3ware,1 -a -s L/../../2/03
+
+# Monitor 2 SATA (not SAS) disks connected to a 3ware 9000 controller which
+# uses the 3w-sas driver (Linux, FreeBSD). Start long self-tests Tuesdays
+# between 1-2 and 3-4 am.
+#/dev/twl0 -d 3ware,0 -a -s L/../../2/01
+#/dev/twa0 -d 3ware,1 -a -s L/../../2/03
+
+# Same as above for Windows. Option '-d 3ware,N' is not necessary,
+# disk (port) number is specified in device name.
+# NOTE: On Windows, DEVICESCAN works also for 3ware controllers.
+#/dev/hdc,0 -a -s L/../../2/01
+#/dev/hdc,1 -a -s L/../../2/03
+
+# Monitor 3 ATA disks directly connected to a HighPoint RocketRAID. Start long
+# self-tests Sundays between 1-2, 2-3, and 3-4 am.
+#/dev/sdd -d hpt,1/1 -a -s L/../../7/01
+#/dev/sdd -d hpt,1/2 -a -s L/../../7/02
+#/dev/sdd -d hpt,1/3 -a -s L/../../7/03
+
+# Monitor 2 ATA disks connected to the same PMPort which connected to the
+# HighPoint RocketRAID. Start long self-tests Tuesdays between 1-2 and 3-4 am
+#/dev/sdd -d hpt,1/4/1 -a -s L/../../2/01
+#/dev/sdd -d hpt,1/4/2 -a -s L/../../2/03
+
+# HERE IS A LIST OF DIRECTIVES FOR THIS CONFIGURATION FILE.
+# PLEASE SEE THE smartd.conf MAN PAGE FOR DETAILS
+#
+# -d TYPE Set the device type: ata, scsi, marvell, removable, 3ware,N, hpt,L/M/N
+# -T TYPE set the tolerance to one of: normal, permissive
+# -o VAL Enable/disable automatic offline tests (on/off)
+# -S VAL Enable/disable attribute autosave (on/off)
+# -n MODE No check. MODE is one of: never, sleep, standby, idle
+# -H Monitor SMART Health Status, report if failed
+# -l TYPE Monitor SMART log. Type is one of: error, selftest
+# -f Monitor for failure of any 'Usage' Attributes
+# -m ADD Send warning email to ADD for -H, -l error, -l selftest, and -f
+# -M TYPE Modify email warning behavior (see man page)
+# -s REGE Start self-test when type/date matches regular expression (see man page)
+# -p Report changes in 'Prefailure' Normalized Attributes
+# -u Report changes in 'Usage' Normalized Attributes
+# -t Equivalent to -p and -u Directives
+# -r ID Also report Raw values of Attribute ID with -p, -u or -t
+# -R ID Track changes in Attribute ID Raw value with -p, -u or -t
+# -i ID Ignore Attribute ID for -f Directive
+# -I ID Ignore Attribute ID for -p, -u or -t Directive
+# -C ID Report if Current Pending Sector count non-zero
+# -U ID Report if Offline Uncorrectable count non-zero
+# -W D,I,C Monitor Temperature D)ifference, I)nformal limit, C)ritical limit
+# -v N,ST Modifies labeling of Attribute N (see man page)
+# -a Default: equivalent to -H -f -t -l error -l selftest -C 197 -U 198
+# -F TYPE Use firmware bug workaround. Type is one of: none, samsung
+# -P TYPE Drive-specific presets: use, ignore, show, showall
+# # Comment: text after a hash sign is ignored
+# \ Line continuation character
+# Attribute ID is a decimal integer 1 <= ID <= 255
+# except for -C and -U, where ID = 0 turns them off.
+# All but -d, -m and -M Directives are only implemented for ATA devices
+#
+# If the test string DEVICESCAN is the first uncommented text
+# then smartd will scan for devices /dev/hd[a-l] and /dev/sd[a-z]
+# DEVICESCAN may be followed by any desired Directives.
--- /dev/null
+# we add /bin/false so that we don't risk causing syntax errors if all USE flags
+# are off as we'd end up with an empty set
+Cmnd_Alias NAGIOS_PLUGINS_CMDS = /bin/false , /usr/sbin/smartctl
+User_Alias NAGIOS_PLUGINS_USERS = nagios, icinga
+
+NAGIOS_PLUGINS_USERS ALL=(root) NOPASSWD: NAGIOS_PLUGINS_CMDS
--- /dev/null
+Kernel system variables configuration files
+
+Files found under the /etc/sysctl.d directory that end with .conf are
+parsed within sysctl(8) at boot time. If you want to set kernel variables
+you can either edit /etc/sysctl.conf or make a new file.
+
+The filename isn't important, but don't make it a package name as it may clash
+with something the package builder needs later. The file name must end
+with .conf, or it will not be read.
+
+The recommended location for local system settings is /etc/sysctl.d/local.conf
+but as long as you follow the rules for the name of the file, anything will
+work. see the sysctl.conf(5) man page for details of the format.